<md-sidenav		
	class="md-sidenav-left"
	md-component-id="left-lesson-explorer"
	md-is-locked-open="true"
	md-whiteframe="4">
	<div
		layout="column"
		flex>
		<md-toolbar
			layout="column"
			layout-align="start center">
			<a
				ng-href="elearn/course/{{lesson.course}}"
				style="font-size: 10px; text-align: left; width: 100%">
				<wb-icon ng-if="app.setting.dir!=='rtl'">arrow_back</wb-icon>
				<wb-icon ng-if="app.setting.dir==='rtl'">arrow_forward</wb-icon>
				{{course.title}}
			</a>
			
			<div flex>
				<am-wb-inline
					am-wb-inline-type="image"
					am-wb-inline-label="Cover"
					am-wb-inline-on-save="update()"
					am-wb-inline-enable="app.user.owner"
					ng-model="lesson.cover">
					<img 
						ng-src="{{lesson.cover}}"
						width="64px" 
						height="64px" />
				</am-wb-inline>
				<am-wb-inline
					style="text-align: center;"
					am-wb-inline-type="text"
					am-wb-inline-label="Title"
					am-wb-inline-on-save="update()"
					am-wb-inline-enable="app.user.owner"
					ng-model="lesson.title">
					<em
						style="font-size: 18px; text-align: center;">
						{{lesson.title}}
					</em>
				</am-wb-inline>
				<am-wb-inline
					style="text-align: center;"
					am-wb-inline-type="textarea"
					am-wb-inline-label="Description"
					am-wb-inline-on-save="update()"
					am-wb-inline-enable="app.user.owner"
					ng-model="lesson.abstract">
					<small
						style="font-size: 14px; text-align: center;">
						{{ lesson.abstract || 'no description'}}
					</small>
				</am-wb-inline>
			</div>
		</md-toolbar>
		<md-content
			amh-preloading="ctrl.loadingParts"
			amh-preloading-class="amh-skeleton-ul"
			flex>
			<md-button
				ng-show="!ctrl.loadingParts"
				ng-click="addPart()">
				<wb-icon>add</wb-icon>
				<span translate>Add part</span>
			</md-button>
			
			<md-list
				style="font-size: 14px;">
				<!-- TODO: maso, 2018: order by 'order' and add management -->
				<md-list-item 
					ng-repeat="object in ctrl.items | orderBy:'id'" 
					ng-href="/elearn/part/{{object.id}}" 
					class="noright">
					<wb-icon>book</wb-icon>
					<p>{{ object.title }}</p>
				</md-list-item>
			</md-list>
		</md-content>
	</div>
</md-sidenav>

<md-content
	layout="column"
	layout-align="start center"
	flex>
	<am-wb-inline
		am-wb-inline-type="img"
		am-wb-inline-label="Cover"
		am-wb-inline-on-save="update()"
		am-wb-inline-enable="app.user.owner"
		ng-model="lesson.cover">
		<img 
			ng-src="{{lesson.cover}}" 
			width="128px" 
			height="128px" />
	</am-wb-inline>
	<am-wb-inline
		style="text-align: center;"
		am-wb-inline-type="text"
		am-wb-inline-label="Title"
		am-wb-inline-on-save="update()"
		am-wb-inline-enable="true"
		am-wb-inline-enable="app.user.owner"
		ng-model="lesson.title">
		<em
			style="text-align: center;">
			{{lesson.title}}
		</em>
	</am-wb-inline>
	<am-wb-inline
		style="text-align: center;"
		am-wb-inline-type="textarea"
		am-wb-inline-label="Description"
		am-wb-inline-on-save="update()"
		am-wb-inline-enable="app.user.owner"
		ng-model="lesson.abstract">
		<small
			style="text-align: center;">
			{{ lesson.abstract || 'no description'}}
		</small>
	</am-wb-inline>
</md-content>

